Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::RenderBuffer Class Reference

Inheritance diagram for osg::RenderBuffer:

[legend]
List of all members.

## Public Member Functions
| RenderBuffer ()
| RenderBuffer (int width, int height, GLenum internalFormat)
| RenderBuffer (const RenderBuffer &copy, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| META_Object (osg, RenderBuffer)
int | getWidth () const
int | getHeight () const
void | setWidth (int w)
void | setHeight (int h)
void | setSize (int w, int h)
GLenum | getInternalFormat () const
void | setInternalFormat (GLenum format)
GLuint | getObjectID (unsigned int contextID, const FBOExtensions *ext) const
int | compare (const RenderBuffer &rb) const
## Static Public Member Functions
void | deleteRenderBuffer (unsigned int contextID, GLuint rb)
| Mark internal RenderBuffer for deletion.
void | flushDeletedRenderBuffers (unsigned int contextID, double currentTime, double &availableTime)
| flush all the cached RenderBuffers which need to be deleted in the OpenGL context related to contextID.
## Protected Member Functions
virtual | ~RenderBuffer ()
RenderBuffer & | operator= (const RenderBuffer &)
void | dirtyAll () const

## Constructor & Destructor Documentation

osg::RenderBuffer::RenderBuffer | ( |  | ) |

osg::RenderBuffer::RenderBuffer | ( | int | width,
|  | int | height,
|  | GLenum | internalFormat
| ) |

osg::RenderBuffer::RenderBuffer | ( | const RenderBuffer & | copy,
|  | const CopyOp & | copyop = CopyOp::SHALLOW_COPY
| ) |

virtual osg::RenderBuffer::~RenderBuffer | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

int osg::RenderBuffer::compare | ( | const RenderBuffer & | rb | ) | const`[inline]`

void osg::RenderBuffer::deleteRenderBuffer | ( | unsigned int | contextID,
|  | GLuint | rb
| ) | `[static]`

| Mark internal RenderBuffer for deletion. Deletion requests are queued until they can be executed in the proper GL context.

void osg::RenderBuffer::dirtyAll | ( |  | ) | const`[inline, protected]`

void osg::RenderBuffer::flushDeletedRenderBuffers | ( | unsigned int | contextID,
|  | double | currentTime,
|  | double & | availableTime
| ) | `[static]`

| flush all the cached RenderBuffers which need to be deleted in the OpenGL context related to contextID.

int osg::RenderBuffer::getHeight | ( |  | ) | const`[inline]`

GLenum osg::RenderBuffer::getInternalFormat | ( |  | ) | const`[inline]`

GLuint osg::RenderBuffer::getObjectID | ( | unsigned int | contextID,
|  | const FBOExtensions * | ext
| ) | const

int osg::RenderBuffer::getWidth | ( |  | ) | const`[inline]`

osg::RenderBuffer::META_Object | ( | osg | ,
|  | RenderBuffer |
| ) |

RenderBuffer& osg::RenderBuffer::operator= | ( | const RenderBuffer & |  | ) | `[inline, protected]`

void osg::RenderBuffer::setHeight | ( | int | h | ) | `[inline]`

void osg::RenderBuffer::setInternalFormat | ( | GLenum | format | ) | `[inline]`

void osg::RenderBuffer::setSize | ( | int | w,
|  | int | h
| ) | `[inline]`

void osg::RenderBuffer::setWidth | ( | int | w | ) | `[inline]`

The documentation for this class was generated from the following file:

- FrameBufferObject